## org.biojava.bio.seq.io.filterxml
Interface XMLAnnotationTypeHandler.CollectionConstraintHandler

All Superinterfaces:
  StAXContentHandler

Enclosing class:
  XMLAnnotationTypeHandler

    public static interface XMLAnnotationTypeHandler.CollectionConstraintHandler

extends StAXContentHandler

Handler for an individual `CollectionConstraint` in an AnnotationType. Implement this if you want to add support for additional types of CollectionConstraint.

Method Summary
`CollectionConstraint` `getCollectionConstraint()`

Methods inherited from interface org.biojava.utils.stax.StAXContentHandler
`characters, endElement, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping, startTree`

Method Detail

### getCollectionConstraint

    CollectionConstraint getCollectionConstraint()
                                                 throws SAXException

  Throws:
    `SAXException`